# comment out if not pre-release
%define prel    beta2

%define rel     1

Name:           compton
Version:        0.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Compton is a compositor for X
Group:          Graphical desktop/Other
License:        MIT
URL:            https://github.com/chjj/compton
Source:         %{name}-%{version}%{?prel:_%prel}.tar.gz

BuildRequires:  asciidoc
BuildRequires:  git
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)

%description
Compton is a compositor for X, and a fork of xcompmgr-dana.

%prep
%setup -qn %{name}-%{version}%{?prel:_%prel}

%build
%setup_compile_flags
%make_build
%make_build docs

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-trans
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-trans.1.*


%changelog
* Tue Mar 13 2018 neoclust <neoclust> 0.1-0.beta2.1.mga6
  (not released yet)
+ Revision: 1208989
- imported package compton

